
Redmine - Defect #3499

p=. !image.png!    doesn't work in trunk version (rev  it doesn't work 

2009-06-15 23:01 - Iñaki Baz Castillo

Status: Closed Start date: 2009-06-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Hi, previously I used the following code to center an image:

p=. !image.png!

and it worked.    

But after the upgrade to trunk version (rev 2791) the image is not displayed and the following text appears centered:

!/attachments/download/19!

 It doesn't occur if I write nothing before the image:

!image.png!

but then the image appears in the left :(

History

#1 - 2009-06-16 23:15 - Mischa The Evil

I can confirm this behaviour. It works in the following case:

p=. Before !image.png! after

#2 - 2009-06-25 16:24 - Mike Powers

I have the same issue in 0.8.4.stable.2784

A suitable workaround is to insert a hard return after the centering command.

p=.

!image.png!

This will properly display the centered image.

#3 - 2009-10-14 15:17 - Mike Bolser

This bug appears to have resurfaced.  However, if I put a leading and trailing space around the image, it appears to work fine.

p=.  !image_url! 

#4 - 2009-11-11 23:30 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Fixed in r2999, now including tests for this.
